Package: org.grails.encoder

## [Java] Interface EncodingState

-     public interface EncodingState

  Holds the state of applied encodings

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public EncodingState` | `appendEncoder(Encoder encoder)`
    `` | `public java.util.Set<Encoder>` | `getEncoders()` Gets the current encoding state (= encoder that have been applied)
    `` | `public EncodingState` | `getPreviousEncodingState()`

- - ### Method Detail

    - #### public EncodingState appendEncoder(Encoder encoder)

    - #### public java.util.Set<Encoder> getEncoders()

      Gets the current encoding state (= encoder that have been applied)

      Returns:
        the encoders that have been applied

    - #### public EncodingState getPreviousEncodingState()